<?php

function register_retroScroll_dropdown( $buttons ) {
   array_unshift( $buttons, "Shortcodes" );
   return $buttons;
}

function add_retroScroll_dropdown( $plugin_array ) {
   $plugin_array['Shortcodes'] = get_template_directory_uri() . '/style/js/TinyMCE_js.js';
   return $plugin_array;
}

function retroScroll_dropdown() {

   if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') ) {
      return;
   }

   if ( get_user_option('rich_editing') == 'true' ) {
      add_filter( 'mce_external_plugins', 'add_retroScroll_dropdown' );
      add_filter( 'mce_buttons', 'register_retroScroll_dropdown' );
   }

}

add_action('init', 'retroScroll_dropdown');