<?php

/*
 *
 * H Tag Titles
 *
*/

// H1 Tag
function ublretroscroll_h1( $atts, $content = null ) {
    extract(shortcode_atts(array(
    'type'      => ''
    ), $atts));
	
	$type = ($type == 'center') ? ' class="center"' : $type;
    return '<h1'.$type.'>' . do_shortcode($content) . '</h1>';
}
add_shortcode('h1', 'ublretroscroll_h1');

// H2 Tag
function ublretroscroll_h2( $atts, $content = null ) {
    extract(shortcode_atts(array(
    'type'      => ''
    ), $atts));
	
	$type = ($type == 'center') ? ' class="center"' : $type;
    return '<h2'.$type.'>' . do_shortcode($content) . '</h2>';
}
add_shortcode('h2', 'ublretroscroll_h2');

// H3 Tag
function ublretroscroll_h3( $atts, $content = null ) {
    extract(shortcode_atts(array(
    'type'      => ''
    ), $atts));
	
	$type = ($type == 'center') ? ' class="center"' : $type;
    return '<h3'.$type.'>' . do_shortcode($content) . '</h3>';
}
add_shortcode('h3', 'ublretroscroll_h3');

// H4 Tag
function ublretroscroll_h4( $atts, $content = null ) {
    extract(shortcode_atts(array(
    'type'      => ''
    ), $atts));
	
	$type = ($type == 'center') ? ' class="center"' : $type;
    return '<h4'.$type.'>' . do_shortcode($content) . '</h4>';
}
add_shortcode('h4', 'ublretroscroll_h4');

// H5 Tag
function ublretroscroll_h5( $atts, $content = null ) {
    extract(shortcode_atts(array(
    'type'      => ''
    ), $atts));
	
	$type = ($type == 'center') ? ' class="center"' : $type;
   return '<h5'.$type.'>' . do_shortcode($content) . '</h5>';
}
add_shortcode('h5', 'ublretroscroll_h5');

// H6 Tag
function ublretroscroll_h6( $atts, $content = null ) {
    extract(shortcode_atts(array(
    'type'      => ''
    ), $atts));
	
	$type = ($type == 'center') ? ' class="center"' : $type;
   return '<h6'.$type.'>' . do_shortcode($content) . '</h6>';
}
add_shortcode('h6', 'ublretroscroll_h6');

/*
 *
 * H Tag Titles
 *
*/

/*
 *
 * Drop Caps
 *
*/

// Dropcap
function ublretroscroll_dropcap( $atts, $content = null ) {return '<span class="dropcap">' . do_shortcode($content) . '</span>';}
add_shortcode('dropcap', 'ublretroscroll_dropcap');

// Dropcap 2
function ublretroscroll_dropcap2( $atts, $content = null ) {return '<span class="dropcap2">' . do_shortcode($content) . '</span>';}
add_shortcode('dropcap2', 'ublretroscroll_dropcap2');

/*
 *
 * Drop Caps
 *
*/

//Cite shortcode
function ublretroscroll_cite( $atts, $content = null ) {return '<cite>' . do_shortcode($content) . '</cite>';}
add_shortcode('cite', 'ublretroscroll_cite');

/*
 *
 * Quotes
 *
*/

// Left Quote
function ublretroscroll_leftquote( $atts, $content = null ) {return '<span class="pullleft">' . do_shortcode($content) . '</span>';}
add_shortcode('leftquote', 'ublretroscroll_leftquote');

// Right Quote
function ublretroscroll_rightquote( $atts, $content = null ) {return '<span class="pullright">' . do_shortcode($content) . '</span>';}
add_shortcode('rightquote', 'ublretroscroll_rightquote');

/*
 *
 * Quotes
 *
*/

/*
 *
 * Highlights
 *
*/

// Highlight
function ublretroscroll_highlight( $atts, $content = null ) {return '<span class="highlight">' . do_shortcode($content) . '</span>';}
add_shortcode('highlight', 'ublretroscroll_highlight');

/*
 *
 * Highlights
 *
*/

/*
 *
 * Deviders
 *
*/

function ublretroscroll_devider( $atts, $content = null ) {
    extract(shortcode_atts(array(
    'type'      => 'divider'
    ), $atts));
	
	$type = ($type == 'straightstripes') ? 'divider2' : $type;
	$type = ($type == 'divider') ? 'divider' : $type;
	$type = ($type == 'dividerdemo') ? 'dividerdemo' : $type;
	$type = ($type == 'divider2demo') ? 'divider2demo' : $type;
	$type = ($type == 'divider3') ? 'divider3' : $type;
	$type = ($type == 'divider4') ? 'divider4' : $type;
	$type = ($type == 'divider5') ? 'divider5' : $type;
	$type = ($type == 'divider6') ? 'divider6' : $type;
	$type = ($type == 'divider7') ? 'divider7' : $type;
	$type = ($type == 'divider8') ? 'divider8' : $type;
	$type = ($type == 'divider9') ? 'divider9' : $type;
	$type = ($type == 'divider10') ? 'divider10' : $type;
    return '<div class="clear"></div><div class="'.$type.'"></div>';
}
add_shortcode('divider', 'ublretroscroll_devider');

/*
 *
 * Deviders
 *
*/

/*
 *
 * Skill Bar
 *
*/

// skill bar wrap
function ublretroscroll_skillbarwrap( $atts, $content = null ) {return '<ul class="my_skills">' . do_shortcode($content) . '</ul>';}
add_shortcode('skillbars', 'ublretroscroll_skillbarwrap');

// skill bar
function ublretroscroll_skill( $atts, $content = null ) {
    extract(shortcode_atts(array(
    'percentage'      => '10'
    ), $atts));
   return '<li><div class="my_skills photoshop" style="width:'.$percentage.'%;"><div class="bar"><p><span>' . do_shortcode($content) . '</span></p></div></div></li>';
}
add_shortcode('skill', 'ublretroscroll_skill');

/*
 *
 * Skill Bar
 *
*/

/*
 *
 * Lists
 *
*/

// Ribbon Effect List
function ublretroscroll_ribbonlist( $atts, $content = null ) {return '<ul class="ribbon">' . do_shortcode($content) . '</ul>';}
add_shortcode('ribbonlist', 'ublretroscroll_ribbonlist');

// Bullet Effect List
function ublretroscroll_bulletlist( $atts, $content = null ) {return '<ul class="bullet">' . do_shortcode($content) . '</ul>';}
add_shortcode('bulletlist', 'ublretroscroll_bulletlist');

// Pointer Effect List
function ublretroscroll_pointerlist( $atts, $content = null ) {return '<ul class="pointer">' . do_shortcode($content) . '</ul>';}
add_shortcode('pointerlist', 'ublretroscroll_pointerlist');

// Disk Effect List
function ublretroscroll_disklist( $atts, $content = null ) {return '<ul class="disc">' . do_shortcode($content) . '</ul>';}
add_shortcode('disclist', 'ublretroscroll_disklist');

// Briefcase Effect List
function ublretroscroll_caselist( $atts, $content = null ) {return '<ul class="briefcase">' . do_shortcode($content) . '</ul>';}
add_shortcode('briefcaselist', 'ublretroscroll_caselist');

// Star Effect List
function ublretroscroll_starlist( $atts, $content = null ) {return '<ul class="star">' . do_shortcode($content) . '</ul>';}
add_shortcode('starlist', 'ublretroscroll_starlist');

// Ordered List
function ublretroscroll_orderedlist( $atts, $content = null ) {return '<ol>' . do_shortcode($content) . '</ol>';}
add_shortcode('orderedlist', 'ublretroscroll_orderedlist');

// list
function ublretroscroll_list( $atts, $content = null ) {
    extract(shortcode_atts(array(
    'type'      => ''
    ), $atts));
    return '<li'.$type.'>' . do_shortcode($content) . '</li>';
}
add_shortcode('list', 'ublretroscroll_list');

/*
 *
 * Service Blocks
 *
*/

// Service Block Wrap
function ublretroscroll_serviceblock_wrap( $atts, $content = null ) {
	 return '<div id="animation"><ul class="ca-menu">' . do_shortcode($content) . '</ul></div>';
}
add_shortcode('serviceblock', 'ublretroscroll_serviceblock_wrap');

// Service Block
function ublretroscroll_serviceblock( $atts, $content = null ) {
	extract(shortcode_atts(array(
    'icon'      => '70',
	'title'		=> 'Title Here',
	'sub'		=> 'Sub Text Here'
    ), $atts));
	return '<li><span class="ca-icon">&#'.$icon.';</span><div class="ca-content"><h2 class="ca-main">'.$title.'</h2><h3 class="ca-sub">'.$sub.'</h3></div></li>';
}
add_shortcode('sblock', 'ublretroscroll_serviceblock');

/*
 *
 * Service Blocks
 *
*/

/*
 *
 * Accordions
 *
*/

// Faq Wrap
function ublretroscroll_faqaccorion( $atts, $content = null ) {
	return '<div id="faq"><dl>' . do_shortcode($content) . '</dl></div>';
}
add_shortcode('faqwrap', 'ublretroscroll_faqaccorion');

// Faq accordions
function ublretroscroll_faqaccorions( $atts, $content = null ) {
	extract(shortcode_atts(array(
	'title'		=> 'Title Here'
    ), $atts));
	$list ='<dt class="first"><a href="#">'.$title.'</a></dt>';
	$list .= '<dd>'.do_shortcode($content).'</dd>';
	return $list;
}
add_shortcode('faq', 'ublretroscroll_faqaccorions');


/*
 *
 * Accordions
 *
*/

/*
 *
 * Links
 *
*/

//Link
function ublretroscroll_link( $atts, $content = null ) {
	extract(shortcode_atts(array(
	'title'		=> 'Title Here',
	'url'		=> '#'
    ), $atts));
	$list ='<a href="'.$url.'">'.$title.'</a>';
	return $list;
}
add_shortcode('link', 'ublretroscroll_link');

// outbound links
function ublretroscroll_linkout( $atts, $content = null ) {
	extract(shortcode_atts(array(
	'title'		=> 'Title Here',
	'url'		=> '#'
    ), $atts));
	$list ='<a href="'.$url.'">'.$title.' &#187;</a>';
	return $list;
}
add_shortcode('linkout', 'ublretroscroll_linkout');

/*
 *
 * Links
 *
*/

/*
 *
 * Slider
 *
*/

// slide wrap
function ublretroscroll_tslider( $atts, $content = null ) {
	$randnumber = rand(1,999);
	$slidename = 'testimonialslide' . $randnumber;
	$list ='<div class="tbox paddingless"><ul class="'.$slidename.'">' . do_shortcode($content) . '</ul></div>';
	$list .= '<script type="text/javascript">';
	$list .= 'jQuery(document).ready(function(){';
    $list .= 'jQuery(".'.$slidename.'").bxSlider();';
	$list .= 'jQuery.pirobox_ext({';
    $list .= 'piro_speed : 700,';
    $list .= 'zoom_mode : true,';
    $list .= 'move_mode : \'mousemove\',';
    $list .= 'bg_alpha : 0.4,';
    $list .= 'piro_scroll : true,';
    $list .= 'share: true';
	$list .= '});';
	$list .= '});';
    $list .= '</script>';
	
	return $list;
}
add_shortcode('testimonialswrap', 'ublretroscroll_tslider');

// slide
function ublretroscroll_tslide( $atts, $content = null ) {
	extract(shortcode_atts(array(
	'title'		=> 'Title Here'
    ), $atts));
	$list ='<li><h3>'.$title.'</h3>' . do_shortcode($content) . '</li>';
	return $list;
}
add_shortcode('tslide', 'ublretroscroll_tslide');

/*
 *
 * Slider
 *
*/

/*
 *
 * Layouts
 *
*/

//clear div
function ublretroscroll_clear( $atts, $content = null ) {return '<div class="clear"></div>';}
add_shortcode('clear', 'ublretroscroll_clear');

// 2 Columns First
function ublretroscroll_2colsfirst( $atts, $content = null ) {return '<div class="col2">' . do_shortcode($content) . '</div>';}
add_shortcode('2colfirst', 'ublretroscroll_2colsfirst');

// 2 Columns Last
function ublretroscroll_2colslast( $atts, $content = null ) {return '<div class="col2 last">' . do_shortcode($content) . '</div>';}
add_shortcode('2collast', 'ublretroscroll_2colslast');

// 3 Columns
function ublretroscroll_3colsfirst( $atts, $content = null ) {return '<div class="col3">' . do_shortcode($content) . '</div>';}
add_shortcode('3col', 'ublretroscroll_3colsfirst');

// 3 Columns Last
function ublretroscroll_3colslast( $atts, $content = null ) {return '<div class="col3 last">' . do_shortcode($content) . '</div>';}
add_shortcode('3collast', 'ublretroscroll_3colslast');

// 4 Columns
function ublretroscroll_4colsfirst( $atts, $content = null ) {return '<div class="col4">' . do_shortcode($content) . '</div>';}
add_shortcode('4col', 'ublretroscroll_4colsfirst');

// 4 Columns Last
function ublretroscroll_4colslast( $atts, $content = null ) {return '<div class="col4 last">' . do_shortcode($content) . '</div>';}
add_shortcode('4collast', 'ublretroscroll_4colslast');

// 2/3 Columns Last
function ublretroscroll_23colslast( $atts, $content = null ) {return '<div class="last">' . do_shortcode($content) . '</div>';}
add_shortcode('23col', 'ublretroscroll_23colslast');

/*
 *
 * Layouts
 *
*/

/*
 *
 * Buttons
 *
*/

// Buttons
function ublretroscroll_buttons( $atts, $content = null ) {
	extract(shortcode_atts(array(
	'link'		=> '#',
	'type'		=> 'blue'
    ), $atts));
	
	$type = ($type == 'blue') ? 'blue button' : $type;
	$type = ($type == 'pink') ? 'pink button' : $type;
	$type = ($type == 'red') ? 'red button' : $type;
	$type = ($type == 'orange') ? 'orange button' : $type;
	$type = ($type == 'green') ? 'green button' : $type;
	$type = ($type == 'yellow') ? 'yellow button' : $type;
	$type = ($type == 'olive') ? 'olive button' : $type;
	$type = ($type == 'grey') ? 'grey button' : $type;
	$type = ($type == 'black') ? 'black button' : $type;
	
	$list ='<a href="'.$link.'" class="'.$type.'">' . do_shortcode($content) . '</a>';
	return $list;
}
add_shortcode('button', 'ublretroscroll_buttons');

/*
 *
 * Buttons
 *
*/

/*
 *
 * Another Quote
 *
*/

function ublretroscroll_pullquote( $atts, $content = null ) {
	return '<div class="divider"></div><div class="pull2">' . do_shortcode($content) . '</div><div class="divider"></div><br/>';
}
add_shortcode('pullquote', 'ublretroscroll_pullquote');

/*
 *
 * Another Quote
 *
*/