<?php

define( 'TEMPPATH', get_stylesheet_directory_uri());
define( 'IMAGES', TEMPPATH. "/style/images");
define( 'THEME_LANG', TEMPPATH . '/Langs/translation.pot');

// Adding thembnail support
add_theme_support( 'post-thumbnails' );

// Adding feed link support
add_theme_support( 'automatic-feed-links' );

// Install Theme Databases
require('ThemeFunctions/InstallTheme.php');

// Theme Navigation
require('ThemeFunctions/navigation.php');

// Page Metas
require('ThemeFunctions/pageMetas.php');

// Featured Slider
require('ThemeFunctions/themeSlider.php');

// Theme Shortcodes
require('ThemeFunctions/shortcodes.php');

// Theme Custom Posts
require('ThemeFunctions/customPosts.php');

// TinyMCE Buttons & Dropdowns
require('ThemeFunctions/TinyMCE_Buttons.php');

// Theme Custom Widgets
require('ThemeFunctions/customWidgets.php');

// Theme Comment Area
require('ThemeFunctions/commentArea.php');

// Admin Welcome Page
require('ThemeFunctions/welcomePage.php');

// Admin Welcome Page
require('ThemeFunctions/themeOptions.php');

// Admin Translation Page
require('ThemeFunctions/themeTranslation.php');

// Custom Walkers
require('ThemeFunctions/Walkers.php');