<?php

// Conntections to database
global $wpdb;
$getslides = $wpdb->get_results("SELECT * FROM ublretroscroll_slides ORDER BY id ASC");
$getsettings = $wpdb->get_row("SELECT * FROM ublrs_themeoptions WHERE id=1");
$gettranslation = $wpdb->get_row("SELECT url,skills,role,backtotop,view,visit,contactform,name,email,message,sendmessage,resetform,phone,address,download,requestaquote,googlemaps,ourcompanylocation,bebo,behance,blogger,buzz,deviantart,dribbble,facebook,flickr,googleplus,lastfm,linkedin,myspace,picasa,pinterest,rss,skype,stumbleupon,tumblr,twitter,vimeo,windowslive,yahoomessenger,youtube,vcard,readmore FROM ublrs_themetranslations WHERE id=1");

get_header();
$pages = get_pages( 'sort_order=asc&sort_column=menu_order&depth=1' );
		foreach ( $pages as $pag ) {
			setup_postdata( $pag );
			$new_title = str_replace( " ", "", strtolower( $pag->post_name ) );
			$newclass = get_post_class('pagepadding', $pag->ID);
			$ncnow = 'class="';
			foreach($newclass as $nc){if($nc != 'pagepadding'){$ncnow .=  $nc . ' ';} else {$ncnow .=  $nc;}}
			$ncnow .= '"';
			$pagetype = get_post_meta( $pag->ID, 'pagetype', true );
			if($pagetype != 'blog'){
			echo '<div id="' . $new_title . '" ' . $ncnow . '>' . "\n";
			
			// home page
			if($pagetype == 'home'){
				
				// slider
				if($getslides){
					echo '<div id="da-slider" class="da-slider">' . "\n";
					
						foreach($getslides as $slides){
						echo '<div class="da-slide">' . "\n";
						echo '<h2>'.stripslashes($slides->title).'</h2>' . "\n";
						echo '<p>'.stripslashes($slides->description).'</p>' . "\n";
						echo '<a href="'.stripslashes($slides->link).'" class="da-link">'.stripslashes($slides->linktitle).'</a>' . "\n";
						echo '<div class="da-img"><img src="'.stripslashes($slides->image).'" alt="'.stripslashes($slides->title).'" /></div>' . "\n";
						echo '</div>' . "\n";
						}
					
					echo '<div class="da-arrows">' . "\n";
					echo '<span class="da-arrows-prev"></span>' . "\n";
					echo '<span class="da-arrows-next"></span>' . "\n";
					echo '</div>' . "\n";
					echo '</div>' . "\n";
					echo '<script type="text/javascript">' . "\n";
					echo 'jQuery(document).ready(function(){' . "\n";
					echo 'jQuery("#da-slider").cslider();' . "\n";
					echo '});' . "\n";
					echo '</script>' . "\n";
				}
				
				echo '<div id="letter-container" class="letter-container"><h2><a href="#">' . "\n";
				echo ( get_post_meta( $pag->ID, 'h1title', true ) ) ? get_post_meta( $pag->ID, 'h1title', true ) : $pag->post_title;
				echo '</a></h2></div>' . "\n";
				the_content();
			
			//featured work section
			} elseif($pagetype == 'featured'){
				
				echo '<h1>' . "\n";
				echo ( get_post_meta( $pag->ID, 'h1title', true ) ) ? get_post_meta( $pag->ID, 'h1title', true ) : $pag->post_title;
				echo '</h1>' . "\n";
				the_content();
				
				$navarray = array();
				$featureditems_list = '';
				$featureditems_list .= '<div class="featured_right_col">' . "\n";
				$loop = new WP_Query( array( 'post_type' => 'featuredwork', 'posts_per_page' => -1, 'paged' => $paged ) );
				
				while ( $loop->have_posts() ) : $loop->the_post();
				
				$title = get_the_title();
				$featureditem_content = get_the_excerpt();
				$workpermalink = get_permalink();
				$navarray[] = $title;
				$changedtitle = str_replace(' ', '', strtolower($title));
				$gallerylink = get_post_meta( $post->ID, 'gallerylink', true );
				$gallerytype = get_post_meta( $post->ID, 'gallerytype', true );
				$galleryrole = get_post_meta( $post->ID, 'galleryrole', true );
				$galleryskills = get_post_meta( $post->ID, 'galleryskills', true );
				$galleryimage1 = get_post_meta( $post->ID, 'galleryimage1', true );
				$galleryimage2 = get_post_meta( $post->ID, 'galleryimage2', true );
				$galleryimage3 = get_post_meta( $post->ID, 'galleryimage3', true );
				$galleryimage4 = get_post_meta( $post->ID, 'galleryimage4', true );
				$galleryimage5 = get_post_meta( $post->ID, 'galleryimage5', true );
				
				// if the gallery type is gallery design 1
				if($gallerytype == 'gallery1'){
					
					$randnumber = rand(1,9999);
					$slidersid = $changedtitle . $randnumber;
					
					$featureditems_list .= '<div id="'.$changedtitle.'">' . "\n";
					$featureditems_list .= '<ul id="'.$slidersid.'">' . "\n";
					if(has_post_thumbnail()) {
						$thumbnail = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full', false);
						$featureditems_list .= '<li><img src="'.$thumbnail[0].'" alt="'.$title.'" class="border" /></li>' . "\n";
					}
					if(!empty($galleryimage1)){$featureditems_list .= '<li><img src="'.$galleryimage1.'" alt="'.$title.'" /></li>' . "\n";}
					if(!empty($galleryimage2)){$featureditems_list .= '<li><img src="'.$galleryimage2.'" alt="'.$title.'" /></li>' . "\n";}
					if(!empty($galleryimage3)){$featureditems_list .= '<li><img src="'.$galleryimage3.'" alt="'.$title.'" /></li>' . "\n";}
					if(!empty($galleryimage4)){$featureditems_list .= '<li><img src="'.$galleryimage4.'" alt="'.$title.'" /></li>' . "\n";}
					if(!empty($galleryimage5)){$featureditems_list .= '<li><img src="'.$galleryimage5.'" alt="'.$title.'" /></li>' . "\n";}
					$featureditems_list .= '</ul><br />' . "\n";
					$featureditems_list .= '<script type="text/javascript">' . "\n";
					$featureditems_list .= 'jQuery(document).ready(function() {' . "\n";
					$featureditems_list .= 'jQuery("#'.$slidersid.'").galleryView({' . "\n";
					$featureditems_list .= 'panel_width: 625,' . "\n";
					$featureditems_list .= 'panel_height: 300,' . "\n";
					$featureditems_list .= 'filmstrip_position: \'right\',' . "\n";
					$featureditems_list .= 'enable_overlays: true,' . "\n";
					$featureditems_list .= 'overlay_position: \'bottom\',' . "\n";
					$featureditems_list .= 'panel_animation: \'crossfade\',' . "\n";
					$featureditems_list .= '});' . "\n";
					$featureditems_list .= '});' . "\n";
					$featureditems_list .= '</script>' . "\n";
			
					$featureditems_list .= '<a class="featuredh3link" href="'.$workpermalink.'" title="'.$title.'"><h3>'.$title.'</h3></a>' . "\n";
					$featureditems_list .= '<div class="small_col">' . "\n";
					if(!empty($gallerylink)){$featureditems_list .= '<p><strong>'.stripslashes($gettranslation->url).':</strong><br /><a href="'.$gallerylink.'">'.$gallerylink.'</a><br />' . "\n";}
					if(!empty($galleryskills)){$featureditems_list .= '<strong>'.stripslashes($gettranslation->skills).':</strong><br />'.$galleryskills.'<br />' . "\n";}
					if(!empty($galleryrole)){$featureditems_list .= '<strong>'.stripslashes($gettranslation->role).':</strong><br />' . $galleryrole . "\n";}
					$featureditems_list .= '</div>' . "\n";
					$featureditems_list .= '<div class="small_col2">'.$featureditem_content.'</div><a class="back_to_top internal" href="#'.$new_title.'">'.stripslashes($gettranslation->backtotop).' &uarr;</a>' . "\n";
					$featureditems_list .= '</div>' . "\n";
					
				// if the gallery type is gallery design 2
				} elseif($gallerytype == 'gallery2'){
					
					$randnumber = rand(1,9999);
					$slidersid = $changedtitle . $randnumber;
					
					$featureditems_list .= '<div id="'.$changedtitle.'">' . "\n";
					$featureditems_list .= '<div id="slide">' . "\n";
					$featureditems_list .= '<ul id="'.$slidersid.'">' . "\n";
					if(has_post_thumbnail()) {
						$thumbnail = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full', false);
						$featureditems_list .= '<li><img src="'.$thumbnail[0].'" alt="'.$title.'" class="border" /></li>' . "\n";
					}
					if(!empty($galleryimage1)){$featureditems_list .= '<li><img src="'.$galleryimage1.'" alt="'.$title.'" class="border" /></li>' . "\n";}
					if(!empty($galleryimage2)){$featureditems_list .= '<li><img src="'.$galleryimage2.'" alt="'.$title.'" class="border" /></li>' . "\n";}
					if(!empty($galleryimage3)){$featureditems_list .= '<li><img src="'.$galleryimage3.'" alt="'.$title.'" class="border" /></li>' . "\n";}
					if(!empty($galleryimage4)){$featureditems_list .= '<li><img src="'.$galleryimage4.'" alt="'.$title.'" class="border" /></li>' . "\n";}
					if(!empty($galleryimage5)){$featureditems_list .= '<li><img src="'.$galleryimage5.'" alt="'.$title.'" class="border" /></li>' . "\n";}
					$featureditems_list .= '</ul>' . "\n";
					$featureditems_list .= '</div><br />' . "\n";
					$featureditems_list .= '<a class="featuredh3link" href="'.$workpermalink.'" title="'.$title.'"><h3>'.$title.'</h3></a>' . "\n";
					$featureditems_list .= '<div class="small_col">' . "\n";
					if(!empty($gallerylink)){$featureditems_list .= '<p><strong>'.stripslashes($gettranslation->url).':</strong><br /><a href="'.$gallerylink.'">'.$gallerylink.'</a><br />' . "\n";}
					if(!empty($galleryskills)){$featureditems_list .= '<strong>'.stripslashes($gettranslation->skills).':</strong><br />'.$galleryskills.'<br />' . "\n";}
					if(!empty($galleryrole)){$featureditems_list .= '<strong>'.stripslashes($gettranslation->role).':</strong><br />' . $galleryrole . "\n";}
					$featureditems_list .= '</div>' . "\n";
					$featureditems_list .= '<div class="small_col2">'.$featureditem_content.'</div><a class="back_to_top internal" href="#'.$new_title.'">'.stripslashes($gettranslation->backtotop).' &uarr;</a>' . "\n";
					$featureditems_list .= '</div>' . "\n";
					$featureditems_list .= '<script type="text/javascript">' . "\n";
					$featureditems_list .= 'jQuery(document).ready(function(){' . "\n";
					$featureditems_list .= 'jQuery("#'.$slidersid.'").bxSlider();' . "\n";
					$featureditems_list .= 'jQuery.pirobox_ext({' . "\n";
					$featureditems_list .= 'piro_speed : 700,' . "\n";
					$featureditems_list .= 'zoom_mode : true,' . "\n";
					$featureditems_list .= 'move_mode : \'mousemove\',' . "\n";
					$featureditems_list .= 'bg_alpha : 0.4,' . "\n";
					$featureditems_list .= 'piro_scroll : true,' . "\n";
					$featureditems_list .= 'share: true' . "\n";
					$featureditems_list .= '});' . "\n";
					$featureditems_list .= '});' . "\n";
					$featureditems_list .= '</script>' . "\n";
					
				// if the gallery type is vimeo video
				} elseif($gallerytype == 'videovimeo'){
					
					$featureditems_list .= '<div id="'.$changedtitle.'">' . "\n";
					$featureditems_list .= '<div class="featured_video">' . "\n";
					$featureditems_list .= '<iframe src="'.$galleryimage1.'" width="712" height="300" marginheight="0" marginwidth="0" frameborder="0"></iframe>' . "\n";
					$featureditems_list .= '</div><br />' . "\n";
					$featureditems_list .= '<a class="featuredh3link" href="'.$workpermalink.'" title="'.$title.'"><h3>'.$title.'</h3></a>' . "\n";
					$featureditems_list .= '<div class="small_col">' . "\n";
					if(!empty($gallerylink)){$featureditems_list .= '<p><strong>'.stripslashes($gettranslation->url).':</strong><br /><a href="'.$gallerylink.'">'.$gallerylink.'</a><br />' . "\n";}
					if(!empty($galleryskills)){$featureditems_list .= '<strong>'.stripslashes($gettranslation->skills).':</strong><br />'.$galleryskills.'<br />' . "\n";}
					if(!empty($galleryrole)){$featureditems_list .= '<strong>'.stripslashes($gettranslation->role).':</strong><br />' . $galleryrole . "\n";}
					$featureditems_list .= '</div>' . "\n";
					$featureditems_list .= '<div class="small_col2">'.$featureditem_content.' - <a href="'.$workpermalink.'"></div><a class="back_to_top internal" href="#'.$new_title.'">'.stripslashes($gettranslation->backtotop).' &uarr;</a>' . "\n";
					$featureditems_list .= '</div>' . "\n";	
					
				// if the gallery type is a youtube video
				} elseif($gallerytype == 'videoyoutube'){
	
					$featureditems_list .= '<div id="'.$changedtitle.'">' . "\n";
					$featureditems_list .= '<div class="featured_video">' . "\n";
					$featureditems_list .= '<iframe width="712" height="300" src="'.$galleryimage1.'" frameborder="0"></iframe>' . "\n";
					$featureditems_list .= '</div><br />' . "\n";
					$featureditems_list .= '<a class="featuredh3link" href="'.$workpermalink.'" title="'.$title.'"><h3>'.$title.'</h3></a>' . "\n";
					$featureditems_list .= '<div class="small_col">' . "\n";
					if(!empty($gallerylink)){$featureditems_list .= '<p><strong>'.stripslashes($gettranslation->url).':</strong><br /><a href="'.$gallerylink.'">'.$gallerylink.'</a><br />' . "\n";}
					if(!empty($galleryskills)){$featureditems_list .= '<strong>'.stripslashes($gettranslation->skills).':</strong><br />'.$galleryskills.'<br />' . "\n";}
					if(!empty($galleryrole)){$featureditems_list .= '<strong>'.stripslashes($gettranslation->role).':</strong><br />' . $galleryrole . "\n";}
					$featureditems_list .= '</div>' . "\n";
					$featureditems_list .= '<div class="small_col2">'.$featureditem_content.'</div><a class="back_to_top internal" href="#'.$new_title.'">'.stripslashes($gettranslation->backtotop).' &uarr;</a>' . "\n";
					$featureditems_list .= '</div>' . "\n";	
				
				// if the gallery type is a single image
				} elseif($gallerytype == 'single'){
					
					$featureditems_list .= '<div id="'.$changedtitle.'">' . "\n";
					if(has_post_thumbnail()) {
							$thumbnail = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full', false);
							$featureditems_list .= '<img src="'.$thumbnail[0].'" alt="'.$title.'" class="featured_image" /><br />' . "\n";
					}
					$featureditems_list .= '<a class="featuredh3link" href="'.$workpermalink.'" title="'.$title.'"><h3>'.$title.'</h3></a>' . "\n";
					$featureditems_list .= '<div class="small_col">' . "\n";
					if(!empty($gallerylink)){$featureditems_list .= '<p><strong>'.stripslashes($gettranslation->url).':</strong><br /><a href="'.$gallerylink.'">'.$gallerylink.'</a><br />' . "\n";}
					if(!empty($galleryskills)){$featureditems_list .= '<strong>'.stripslashes($gettranslation->skills).':</strong><br />'.$galleryskills.'<br />' . "\n";}
					if(!empty($galleryrole)){$featureditems_list .= '<strong>'.stripslashes($gettranslation->role).':</strong><br />' . $galleryrole . "\n";}
					$featureditems_list .= '</div>' . "\n";
					$featureditems_list .= '<div class="small_col2">'.$featureditem_content.'</div><a class="back_to_top internal" href="#'.$new_title.'">'.stripslashes($gettranslation->backtotop).' &uarr;</a>' . "\n";
					$featureditems_list .= '</div>' . "\n";			
					
				// if the gallery type is a slide view
				} elseif($gallerytype == 'slides'){
				
					$featureditems_list .= '<div id="'.$changedtitle.'">' . "\n";
					$featureditems_list .= '<div class="border_box">' . "\n";
					$featureditems_list .= '<div class="box_skitter box_skitter_large '.$changedtitle.'">' . "\n";
					$featureditems_list .= '<ul>' . "\n";
					if(has_post_thumbnail()) {
						$thumbnail = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'full', false);
						$featureditems_list .= '<li><img src="'.$thumbnail[0].'" alt="'.$title.'" /></li>' . "\n";
					}
					if(!empty($galleryimage1)){$featureditems_list .= '<li><img src="'.$galleryimage1.'" alt="'.$title.'" /></li>' . "\n";}
					if(!empty($galleryimage2)){$featureditems_list .= '<li><img src="'.$galleryimage2.'" alt="'.$title.'" /></li>' . "\n";}
					if(!empty($galleryimage3)){$featureditems_list .= '<li><img src="'.$galleryimage3.'" alt="'.$title.'" /></li>' . "\n";}
					if(!empty($galleryimage4)){$featureditems_list .= '<li><img src="'.$galleryimage4.'" alt="'.$title.'" /></li>' . "\n";}
					if(!empty($galleryimage5)){$featureditems_list .= '<li><img src="'.$galleryimage5.'" alt="'.$title.'" /></li>' . "\n";}
					$featureditems_list .= '</ul>' . "\n";
					$featureditems_list .= '</div>' . "\n";
					$featureditems_list .= '</div>' . "\n";
					$featureditems_list .= '<div style="clear:both;"></div>' . "\n";
				
					$featureditems_list .= '<script type="text/javascript">' . "\n";
					$featureditems_list .= 'jQuery(document).ready(function(){' . "\n";
					$featureditems_list .= 'jQuery(".'.$changedtitle.'").skitter({label: false, numbers: false, hideTools: true, animation: "paralell",interval: 3000});' . "\n";
					$featureditems_list .= '});' . "\n";
					$featureditems_list .= '</script>' . "\n";
					$featureditems_list .= '<br />' . "\n";
					$featureditems_list .= '<a class="featuredh3link" href="'.$workpermalink.'" title="'.$title.'"><h3>'.$title.'</h3></a>' . "\n";
	
					$featureditems_list .= '<div class="small_col">' . "\n";
					if(!empty($gallerylink)){$featureditems_list .= '<p><strong>'.stripslashes($gettranslation->url).':</strong><br /><a href="'.$gallerylink.'">'.$gallerylink.'</a><br />' . "\n";}
					if(!empty($galleryskills)){$featureditems_list .= '<strong>'.stripslashes($gettranslation->skills).':</strong><br />'.$galleryskills.'<br />' . "\n";}
					if(!empty($galleryrole)){$featureditems_list .= '<strong>'.stripslashes($gettranslation->role).':</strong><br />' . $galleryrole . "\n";}
					$featureditems_list .= '</div>' . "\n";
	
					$featureditems_list .= '<div class="small_col2">'.$featureditem_content.'</div>' . "\n";
					$featureditems_list .= '<a class="back_to_top internal" href="#'.$new_title.'">'.stripslashes($gettranslation->backtotop).' &uarr;</a>' . "\n";
					$featureditems_list .= '</div>' . "\n";
					
				}
				
				endwhile;
				$featureditems_list .= '<div class="finish"></div>' . "\n";
				$featureditems_list .= '<script>' . "\n";
				$featureditems_list .= 'jQuery(window).scroll(function(){' . "\n";
				$featureditems_list .= 'var currentscroll = jQuery(this).scrollTop();' . "\n";
				$featureditems_list .= 'var startheight = jQuery("#startingpoint").offset().top;' . "\n";
				$featureditems_list .= 'var startingheight = startheight - 100' . "\n";
				$featureditems_list .= 'var targetheight = jQuery(document).height() - jQuery(".finish").offset().top;' . "\n";
				$featureditems_list .= 'var rightheight  = targetheight + 450;' . "\n";
				
				$featureditems_list .= 'if((currentscroll > startingheight) && (currentscroll < rightheight)){' . "\n";
				$featureditems_list .= 'jQuery("#back_to_top_side").addClass("is-sticky");' . "\n";
				$featureditems_list .= 'jQuery("#back_to_top_side").attr("style","position:fixed; top: 80px;");' . "\n";
				//$featureditems_list .= 'alert(currentscroll + ">" + startingheight + "&&" + currentscroll + "<" + rightheight);' . "\n";
				$featureditems_list .= '}else{' . "\n";
				$featureditems_list .= 'jQuery("#back_to_top_side").removeClass("is-sticky");' . "\n";
				$featureditems_list .= 'jQuery("#back_to_top_side").removeAttr("style");' . "\n";
				$featureditems_list .= '}' . "\n";
				$featureditems_list .= '});' . "\n";
				
                $featureditems_list .= '</script>' . "\n";
				$featureditems_list .= '</div>' . "\n";
				$featureditems_list .= '<div class="clear"></div>' . "\n";
				
				echo '<div class="sidebar">' . "\n";
				echo '<div id="menu_nav" class="notcountscroll"><ul>' . "\n";
				foreach($navarray as $navlist){
					$nl = str_replace(' ', '', strtolower($navlist));
					echo '<li><a class="notcountscroll" href="#'.$nl.'">'.$navlist.'</a></li>' . "\n";
				}
				echo '</ul></div>' . "\n";
				if ( !function_exists( 'dynamic_sidebar' ) || !dynamic_sidebar('projects-sidebar') ) : endif;
				echo '<div id="startingpoint">' . "\n";
				echo '<a href="#'.$new_title.'" id="back_to_top_side" class="internal">'.stripslashes($gettranslation->backtotop).' &uarr;</a></div>' . "\n";
				echo '</div>';
				
				echo $featureditems_list;
			
			// Portfolio page section
			} elseif($pagetype == 'portfolio'){
	
        		echo '<h1>' . "\n";
				echo ( get_post_meta( $pag->ID, 'h1title', true ) ) ? get_post_meta( $pag->ID, 'h1title', true ) : $pag->post_title;
				echo '</h1>' . "\n";
				the_content();
				echo '<div class="gallery">' . "\n";
				$loop = new WP_Query( array( 'post_type' => 'portfolio', 'posts_per_page' => -1, 'paged' => $paged ) );
				while ( $loop->have_posts() ) : $loop->the_post();
				
				$portfoliotitle = get_the_title();
				$portfolio_content = get_the_content();
				$portfoliolink = get_post_meta( $post->ID, 'portlink', true );
				$portfoliotype = get_post_meta( $post->ID, 'portfoliotype', true );
				$portfolioimage1 = get_post_meta( $post->ID, 'portfolioimage1', true );
				
				echo '<div class="view view-tenth">' . "\n";
				if(has_post_thumbnail()) {the_post_thumbnail();}
				echo '<div class="mask">' . "\n";
				echo '<h2>'.$portfoliotitle.'</h2>' . "\n";
				echo $portfolio_content . "\n";
				if($portfoliotype == 'image'){
				echo '<a href="'.$portfolioimage1 . '" media="gallery" class="pirobox_gall1" title="'.$portfolio_content.'">'.stripslashes($gettranslation->view).'</a>' . "\n";
				} elseif($portfoliotype == 'video'){
				echo '<a href="'.$portfolioimage1 . '" media="iframe-900-500" class="pirobox_gall1" title="'.$portfolio_content.'">'.stripslashes($gettranslation->view).'</a>' . "\n";
				}
				if($portfoliolink != ''){
				echo '<a href="'.$portfoliolink.'" class="info">'.stripslashes($gettranslation->visit).'</a>' . "\n";
				}
				echo '</div></div>' . "\n";
				endwhile;
				
				echo '<script type="text/javascript">' . "\n";
				echo 'jQuery(document).ready(function(){' . "\n";
				echo 'jQuery(".gallery").easyPaginate({' . "\n";
				echo 'step:12' . "\n";
				echo '});' . "\n";
				echo '});' . "\n";
				echo '</script>' . "\n";
				echo '</div>' . "\n";
				
			//Contact Page Section
			} elseif($pagetype == 'contact'){
				
				echo '<h1>' . "\n";
				echo ( get_post_meta( $pag->ID, 'h1title', true ) ) ? get_post_meta( $pag->ID, 'h1title', true ) : $pag->post_title;
				echo '</h1>' . "\n";
				
				echo '<div class="col2">' . "\n";
            	echo '<h4>'.stripslashes($gettranslation->contactform).'</h4>' . "\n";
				echo '<form action="' . TEMPPATH . '/send.php" id="contact_form" method="post" name="contact_form">' . "\n";
                echo '<ul>' . "\n";
                echo '<li><label>'.stripslashes($gettranslation->name).' <span class="required">*</span></label>' . "\n";
				echo '<input type="hidden" name="contactname" value="'.$new_title.'">' . "\n";
				echo '<input type="text" name="name" id="name" value="" class="requiredField" /></li>' . "\n";
				echo '<li><label>'.stripslashes($gettranslation->email).' <span class="required">*</span></label>' . "\n";
				echo '<input type="text" name="email" id="email" value="" class="requiredField email" /></li>' . "\n";
				echo '<li class="textarea"><label>'.stripslashes($gettranslation->message).' <span class="required">*</span></label>' . "\n";
                echo '<textarea name="message" id="message" rows="20" cols="30" class="requiredField">' . "\n";
				echo '</textarea></li>' . "\n";
				echo '<li class="button_form"><input name="submitted" id="submitted" value="'.stripslashes($gettranslation->sendmessage).'" class="submit" type="submit" /> ' . "\n";
				echo '<input id="reset" type="reset" value="'.stripslashes($gettranslation->resetform).'" class="submit" /></li>' . "\n";
				echo '</ul>' . "\n";
				echo '</form>' . "\n";
				echo '<div class="clear"></div>' . "\n";
				echo '<div class="divider"></div>' . "\n";
				echo '<h5>Get in touch</h5><strong>'.stripslashes($gettranslation->email).':</strong> <a href="mailto:'.get_bloginfo('admin_email').'">'.get_bloginfo('admin_email').'</a><br />' . "\n";
				if(!empty($getsettings->phone)){echo '<strong>'.stripslashes($gettranslation->phone).':</strong> '.stripslashes($getsettings->phone).'<br />' . "\n";}
            	if(!empty($getsettings->address)){echo '<strong>'.stripslashes($gettranslation->address).':</strong> '.stripslashes($getsettings->address).'<br />' . "\n";}
            	if(!empty($getsettings->vcard)){echo '<strong>'.stripslashes($gettranslation->download).':</strong> <a href="'.stripslashes($getsettings->vcard).'">'.stripslashes($gettranslation->vcard).'</a><br />' . "\n";}
          		echo '</div>' . "\n";
				
				echo '<div class="col2 last">' . "\n";
            	echo '<h5>'.stripslashes($gettranslation->requestaquote).'</h5>' . "\n";
				the_content();
				if($getsettings->showmap == 1){
				echo '<h5>'.stripslashes($gettranslation->googlemaps).'</h5>' . "\n";
				echo '<script>' . "\n";
				echo 'function initGoogleMaps() {' . "\n";
				echo 'var myLatlng = new google.maps.LatLng('.$getsettings->ublrs_lat.', '.$getsettings->ublrs_long.');' . "\n";
				echo 'var myOptions = {' . "\n";
				echo 'zoom: 16,' . "\n";
				echo 'center: myLatlng,' . "\n";
				echo 'popup: true,' . "\n";
				echo 'mapTypeId: google.maps.MapTypeId.ROADMAP' . "\n";
				echo '}' . "\n";
				echo 'var map = new google.maps.Map(document.getElementById("map"), myOptions);' . "\n";
				echo 'var marker = new google.maps.Marker({' . "\n";
				echo 'position: myLatlng, ' . "\n";
				echo 'map: map,' . "\n";
				echo 'title:"'.stripslashes($gettranslation->ourcompanylocation).'"' . "\n";
				echo '});' . "\n";
				echo 'google.maps.event.addListener(marker, \'click\', function() {' . "\n";
				echo 'map.setZoom(17);' . "\n";
				echo '});' . "\n";
				echo '}' . "\n";
				echo '</script>' . "\n";
				echo '<div id="map"></div>' . "\n";
				}
				echo '<h5>i\'m social!</h5>' . "\n";
				echo '<ul id="social">' . "\n";
				if(!empty($getsettings->bebo)){echo '<li><a href="'.stripslashes($getsettings->bebo).'"><img src="'.IMAGES.'/social/bebo'; if($getsettings->blogstyle > 26){ echo 'light';} echo '.png" alt="'.stripslashes($gettranslation->bebo).'" title="'.stripslashes($gettranslation->bebo).'" class="tooltip" width="46" height="46" /></a></li>' . "\n";}
				if(!empty($getsettings->behance)){echo '<li><a href="'.stripslashes($getsettings->behance).'"><img src="'.IMAGES.'/social/behance'; if($getsettings->blogstyle > 26){ echo 'light';} echo '.png" alt="'.stripslashes($gettranslation->behance).'" title="'.stripslashes($gettranslation->behance).'" class="tooltip" width="46" height="46" /></a></li>' . "\n";}
				if(!empty($getsettings->blogger)){echo '<li><a href="'.stripslashes($getsettings->blogger).'"><img src="'.IMAGES.'/social/blogger'; if($getsettings->blogstyle > 26){ echo 'light';} echo '.png" alt="'.stripslashes($gettranslation->blogger).'" title="'.stripslashes($gettranslation->blogger).'" class="tooltip" width="46" height="46" /></a></li>' . "\n";}
				if(!empty($getsettings->buzz)){echo '<li><a href="'.stripslashes($getsettings->buzz).'"><img src="'.IMAGES.'/social/buzz'; if($getsettings->blogstyle > 26){ echo 'light';} echo '.png" alt="'.stripslashes($gettranslation->buzz).'" title="'.stripslashes($gettranslation->buzz).'" class="tooltip" width="46" height="46" /></a></li>' . "\n";}
				if(!empty($getsettings->deviantart)){echo '<li><a href="'.stripslashes($getsettings->deviantart).'"><img src="'.IMAGES.'/social/deviantart'; if($getsettings->blogstyle > 26){ echo 'light';} echo '.png" alt="'.stripslashes($gettranslation->deviantart).'" title="'.stripslashes($gettranslation->deviantart).'" class="tooltip" width="46" height="46" /></a></li>' . "\n";}
				if(!empty($getsettings->dribbble)){echo '<li><a href="'.stripslashes($getsettings->dribbble).'"><img src="'.IMAGES.'/social/dribbble'; if($getsettings->blogstyle > 26){ echo 'light';} echo '.png" alt="'.stripslashes($gettranslation->dribbble).'" title="'.stripslashes($gettranslation->dribbble).'" class="tooltip" width="46" height="46" /></a></li>' . "\n";}
				if(!empty($getsettings->facebook)){echo '<li><a href="'.stripslashes($getsettings->facebook).'"><img src="'.IMAGES.'/social/facebook'; if($getsettings->blogstyle > 26){ echo 'light';} echo '.png" alt="'.stripslashes($gettranslation->facebook).'" title="'.stripslashes($gettranslation->facebook).'" class="tooltip" width="46" height="46" /></a></li>' . "\n";}
				if(!empty($getsettings->flickr)){echo '<li><a href="'.stripslashes($getsettings->flickr).'"><img src="'.IMAGES.'/social/flickr'; if($getsettings->blogstyle > 26){ echo 'light';} echo '.png" alt="'.stripslashes($gettranslation->flickr).'" title="'.stripslashes($gettranslation->flickr).'" class="tooltip" width="46" height="46" /></a></li>' . "\n";}
				if(!empty($getsettings->googleplus)){echo '<li><a href="'.stripslashes($getsettings->googleplus).'"><img src="'.IMAGES.'/social/google'; if($getsettings->blogstyle > 26){ echo 'light';} echo '.png" alt="'.stripslashes($gettranslation->googleplus).'" title="'.stripslashes($gettranslation->googleplus).'" class="tooltip" width="46" height="46" /></a></li>' . "\n";}
				if(!empty($getsettings->lastfm)){echo '<li><a href="'.stripslashes($getsettings->lastfm).'"><img src="'.IMAGES.'/social/lastfm'; if($getsettings->blogstyle > 26){ echo 'light';} echo '.png" alt="'.stripslashes($gettranslation->lastfm).'" title="'.stripslashes($gettranslation->lastfm).'" class="tooltip" width="46" height="46" /></a></li>' . "\n";}
				if(!empty($getsettings->linkedin)){echo '<li><a href="'.stripslashes($getsettings->linkedin).'"><img src="'.IMAGES.'/social/linkedin'; if($getsettings->blogstyle > 26){ echo 'light';} echo '.png" alt="'.stripslashes($gettranslation->linkedin).'" title="'.stripslashes($gettranslation->linkedin).'" class="tooltip" width="46" height="46" /></a></li>' . "\n";}
				if(!empty($getsettings->myspace)){echo '<li><a href="'.stripslashes($getsettings->myspace).'"><img src="'.IMAGES.'/social/myspace'; if($getsettings->blogstyle > 26){ echo 'light';} echo '.png" alt="'.stripslashes($gettranslation->myspace).'" title="'.stripslashes($gettranslation->myspace).'" class="tooltip" width="46" height="46" /></a></li>' . "\n";}
				if(!empty($getsettings->picasa)){echo '<li><a href="'.stripslashes($getsettings->picasa).'"><img src="'.IMAGES.'/social/picasa'; if($getsettings->blogstyle > 26){ echo 'light';} echo '.png" alt="'.stripslashes($gettranslation->picasa).'" title="'.stripslashes($gettranslation->picasa).'" class="tooltip" width="46" height="46" /></a></li>' . "\n";}
				if(!empty($getsettings->pinterest)){echo '<li><a href="'.stripslashes($getsettings->pinterest).'"><img src="'.IMAGES.'/social/pinterest'; if($getsettings->blogstyle > 26){ echo 'light';} echo '.png" alt="'.stripslashes($gettranslation->pinterest).'" title="'.stripslashes($gettranslation->pinterest).'" class="tooltip" width="46" height="46" /></a></li>' . "\n";}
				$rsslink = get_bloginfo('rss2_url');
				if($getsettings->rss == 1){echo '<li><a href="'.$rsslink.'"><img src="'.IMAGES.'/social/rss'; if($getsettings->blogstyle > 26){ echo 'light';} echo '.png" alt="'.stripslashes($gettranslation->rss).'" title="'.stripslashes($gettranslation->rss).'" class="tooltip" width="46" height="46" /></a></li>' . "\n";}
				if(!empty($getsettings->skype)){echo '<li><a href="'.stripslashes($getsettings->skype).'"><img src="'.IMAGES.'/social/skype'; if($getsettings->blogstyle > 26){ echo 'light';} echo '.png" alt="'.stripslashes($gettranslation->skype).'" title="'.stripslashes($gettranslation->skype).'" class="tooltip" width="46" height="46" /></a></li>' . "\n";}
				if(!empty($getsettings->stumbleupon)){echo '<li><a href="'.stripslashes($getsettings->stumbleupon).'"><img src="'.IMAGES.'/social/stumbleupon'; if($getsettings->blogstyle > 26){ echo 'light';} echo '.png" alt="'.stripslashes($gettranslation->stumbleupon).'" title="'.stripslashes($gettranslation->stumbleupon).'" class="tooltip" width="46" height="46" /></a></li>' . "\n";}
				if(!empty($getsettings->twitter)){echo '<li><a href="'.stripslashes($getsettings->twitter).'"><img src="'.IMAGES.'/social/twitter_bird'; if($getsettings->blogstyle > 26){ echo 'light';} echo '.png" alt="'.stripslashes($gettranslation->twitter).'" title="'.stripslashes($gettranslation->twitter).'" class="tooltip" width="46" height="46" /></a></li>' . "\n";}
				if(!empty($getsettings->tumblr)){echo '<li><a href="'.stripslashes($getsettings->tumblr).'"><img src="'.IMAGES.'/social/tumblr'; if($getsettings->blogstyle > 26){ echo 'light';} echo '.png" alt="'.stripslashes($gettranslation->tumblr).'" title="'.stripslashes($gettranslation->tumblr).'" class="tooltip" width="46" height="46" /></a></li>' . "\n";}
				if(!empty($getsettings->vimeo)){echo '<li><a href="'.stripslashes($getsettings->vimeo).'"><img src="'.IMAGES.'/social/vimeo'; if($getsettings->blogstyle > 26){ echo 'light';} echo '.png" alt="'.stripslashes($gettranslation->vimeo).'" title="'.stripslashes($gettranslation->vimeo).'" class="tooltip" width="46" height="46" /></a></li>' . "\n";}
				if(!empty($getsettings->windowslive)){echo '<li><a href="'.stripslashes($getsettings->windowslive).'"><img src="'.IMAGES.'/social/windowslive'; if($getsettings->blogstyle > 26){ echo 'light';} echo '.png" alt="'.stripslashes($gettranslation->windowslive).'" title="'.stripslashes($gettranslation->windowslive).'" class="tooltip" width="46" height="46" /></a></li>' . "\n";}
				if(!empty($getsettings->yahoomessenger)){echo '<li><a href="'.stripslashes($getsettings->yahoomessenger).'"><img src="'.IMAGES.'/social/yahoomessenger'; if($getsettings->blogstyle > 26){ echo 'light';} echo '.png" alt="'.stripslashes($gettranslation->yahoomessenger).'" title="'.stripslashes($gettranslation->yahoomessenger).'" class="tooltip" width="46" height="46" /></a></li>' . "\n";}
				if(!empty($getsettings->youtube)){echo '<li><a href="'.stripslashes($getsettings->youtube).'"><img src="'.IMAGES.'/social/youtube'; if($getsettings->blogstyle > 26){ echo 'light';} echo '.png" alt="'.stripslashes($gettranslation->youtube).'" title="'.stripslashes($gettranslation->youtube).'" class="tooltip" width="46" height="46" /></a></li>' . "\n";}
				echo '</ul>' . "\n";
				echo '</div>' . "\n";

				echo '<div class="clear"></div><div class="divider2"></div>';
				
				global $wpdb;
				$getthistwitterfeed = $wpdb->get_row("SELECT twitterfeed FROM ublrs_themeoptions WHERE id=1");
				
				if($getthistwitterfeed->twitterfeed != ''){

				echo '<div class="twitter">';
				echo '<ul id="tweet"><li id="tweets"></li></ul>';
				echo '</div>';
				
				}
			
			// Normal Page Creations	
			} elseif($pagetype == 'normal'){

				echo '<h1>' . "\n";
				echo ( get_post_meta( $pag->ID, 'h1title', true ) ) ? get_post_meta( $pag->ID, 'h1title', true ) : $pag->post_title;
				echo '</h1>' . "\n";
				the_content();
			
			}
			echo '</div>' . "\n";
			}
		}
get_footer();