<?php

/**
 * @package WordPress
 * @subpackage Retro Scroll Wordpress Theme
 */
/*
Template Name: Blog Page
*/
get_header(); if (have_posts()) : the_post(); 

global $wpdb;
$getsettings = $wpdb->get_row("SELECT bloglayout FROM ublrs_themeoptions WHERE id=1");
$gettranslation = $wpdb->get_row("SELECT backtotop,posted,writtenby,comments,comment,ccontinue,reading,noblogposts FROM ublrs_themetranslations WHERE id=1");
global $post ?>

		<div id="blog">
            <h1>
            <?php echo ( get_post_meta( $post->ID, 'h1title', true ) ) ? get_post_meta( $post->ID, 'h1title', true ) : $post->post_title; ?>
            </h1>

          <?php if($getsettings->bloglayout == 1){ ?>
          <div class="sidebar">
		  
		  	<?php if ( !function_exists( 'dynamic_sidebar' ) || !dynamic_sidebar('blog-sidebar') ) : endif; ?>
          
          </div>
		  <?php } ?>

          <div class="blog_col">
          
          <?php 
				query_posts(array('post_type' => 'post', 'paged' => $paged));
				if ( have_posts() ) : while ( have_posts() ) : the_post(); 
			?>
          	<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
            <?php if(has_post_thumbnail()) { echo get_the_post_thumbnail( $post->ID, null, array('class'	=> "blog_image") ) . '<br>';} ?>
            <div class="divider"></div>

            <div class="meta">

              <div class="posted"><?php echo stripslashes($gettranslation->posted); ?>: <?php the_time('jS M Y'); ?></div>

              <div class="by"><?php echo stripslashes($gettranslation->writtenby); ?>: <a href="#"><?php the_author(); ?></a></div>

              <div class="comments"><?php echo stripslashes($gettranslation->comments); ?>: <a href="<?php the_permalink($post->ID); ?>" title="<?php comments_number('0 ' . stripslashes($gettranslation->comments), '1 ' . stripslashes($gettranslation->comment), '% ' . stripslashes($gettranslation->comments)) ; ?>"><?php comments_number('0 ' . stripslashes($gettranslation->comments), '1 ' . stripslashes($gettranslation->comment), '% ' . stripslashes($gettranslation->comments)) ; ?></a></div>
              
              <div class="continue"><?php echo stripslashes($gettranslation->ccontinue); ?> <a href="<?php the_permalink($post->ID); ?>"><?php echo stripslashes($gettranslation->reading); ?></a></div>
            </div>

            <div class="divider"></div>

            <h3><a href="<?php the_permalink($post->ID); ?>"><?php the_title(); ?></a></h3>

            <?php 
			
			if($post->post_excerpt){
			
			$getcontent = get_the_excerpt();
			$coundcontent = strlen($getcontent);
			if($coundcontent < 400){
				the_excerpt(); 
				echo '<div class="categorestaxonomies">Categories: ';
				the_category(', ');
				echo '</div>';
				echo '<div class="tagtaxonomies">';
				the_tags();
				echo '</div>';
			} else {
				$newnumber = '-' . ($coundcontent - 400);
				$newcontent = substr($getcontent, 0, $newnumber); 
				echo $newcontent . '...';
				echo '<div class="categorestaxonomies">Categories: ';
				the_category(', ');
				echo '</div>';
				echo '<div class="tagtaxonomies">';
				the_tags();
				echo '</div>';
            } 
			
			} 
			
			?>
            <br><br>
            <a class="back_to_top internal" href="#blog"><?php echo stripslashes($gettranslation->backtotop); ?> &uarr;</a>
            </div>
            <?php endwhile; ?>
            <div class="alignleft">
			<?php $prev=get_previous_posts_link(); echo $prev; ?>
            </div>
            <div class="alignright">
            <?php $next=get_next_posts_link(); echo $next; ?>
            </div>
            <?php else: ?>
            <p><?php echo stripslashes($gettranslation->noblogposts); ?></p>
			<?php endif; ?>
          </div>
          <?php if($getsettings->bloglayout == 2){ ?>
          <div class="sidebar2">
		  
		  	<?php if ( !function_exists( 'dynamic_sidebar' ) || !dynamic_sidebar('blog-sidebar') ) : endif; ?>
          
          </div>
		  <?php } ?>
        </div>
<?php endif; get_footer(); ?>