<?php

function add_ubl_retroscroll_slider(){
	
	//setting errors and global database
	$ublerrors = array();
	global $wpdb;
	
	//checking which mode we are within
	if(isset($_GET["ublmode"]) && $_GET["ublmode"] == 'edit'){
		
		//if form is posted
		if(isset($_POST['issent']) && $_POST['issent'] == 1){
			
			//getting posts and sanitising them
			$title 			= $_POST['title'];
			$image 			= $_POST['image_1'];
			$description 	= $_POST['description'];
			$link 			= $_POST['link'];
			$linktitle 		= $_POST['linktitle'];
			
			//make sure form values are set
			if(empty($image)){$ublerrors[] = 'Please upload an image';}
			if(!$ublerrors){if(empty($title)){$ublerrors[] = 'Please add a title';}}
			if(!$ublerrors){if(empty($description)){$ublerrors[] = 'Please add some content (Description)';}}
			
			//update database
			if(!$ublerrors){
				
				$optiontable = 'ublretroscroll_slides';
			
				$insertslider = $wpdb->update( $optiontable, array( 
				'title' => $title,
				'description' => $description,
				'link' => $link,
				'linktitle' => $linktitle,
				'image' =>$image
				), array( 'id' => $_GET['id'] ), $format = null, $where_format = null );
				
				if(!$insertslider){
					
					$ublerrors[] = 'Could not update database - Please try again';
					
				} else {
					
					$redirectheader = get_home_url() . '/wp-admin/admin.php?page=manage-retroscroll-slider&slide=edited';
					echo '<script type="text/javascript">window.location = "' . $redirectheader . '"</script>';
					
				}
				
			}
			
		}
		
		//setting variables
		$getslidevalues = $wpdb->get_row("SELECT * FROM ublretroscroll_slides WHERE id=" . sanitize_text_field($_GET['id']));
		
		$title 			= stripslashes($getslidevalues->title);
		$description 	= stripslashes($getslidevalues->description);
		$link 			= stripslashes($getslidevalues->link);
		$linktitle 		= stripslashes($getslidevalues->linktitle);
		$image 			= stripslashes($getslidevalues->image);
		
		
		//setting form
		$output = '
	
		<style>
		h1{padding:0px 0px 10px 0px;margin:0px;}
		h3{padding:40px 0px 10px 0px;margin:0px;}
		.wrap{margin:0px;padding:15px;width:50%;}
		.widget .widget-top, .postbox h3, .stuffbox h3{padding:5px 10px; color:#1e1e1e}
		.widget, #widget-list .widget-top, .postbox, #titlediv, #poststuff .postarea, .stuffbox{
			background-color:white;
		}
		.postbox .inside, .stuffbox .inside{padding:20px;background-color:whiteSmoke;}
		.red{color:red;}
		.green{color:green;}
		.regular-text{margin-bottom:20px;}
		h4{margin:0px;padding:8px 0px 3px 0px;}
		.inside > p{padding:3px;margin:0px;}
		hr{border-color:white;background-color:white;}
		.stuffbox img{max-width:300px;height:auto;}
		.slidercontent{width:90%;min-height:150px;}
		</style>
		
		';
		
		$output .= '<div class="wrap">';
		$output .= '<h1>Add New Slide</h1>';
		if(count($ublerrors) > 0){foreach($ublerrors as $ublerror){$output .= '<h5 class="red">'. $ublerror .'</h5>';}}
		$output .= '<form method="post" action="" enctype="multipart/form-data">';
		$output .= '<input name="issent" type="hidden" value="1" />';
		
		$output .= '<div class="stuffbox"><h3><label>Slide Title</label></h3><div class="inside"><input class="regular-text" name="title" type="text" value="'.$title.'" /></div></div>';

		$output .= '<div class="stuffbox"><h3><label>Slide Description</label></h3><div class="inside"><textarea name="description" id="description" class="slidercontent">' . $description . '</textarea></div></div>';

		$output .= '<div class="stuffbox"><h3><label>Slide Link</label></h3><div class="inside">
		<h4>Link</h4><input class="regular-text" name="link" type="text" value="'.$link.'" />
		<hr>
		<h4>Link Name</h4><input class="regular-text" name="linktitle" type="text" value="'.$linktitle.'" />
		<p>Leave Both Blank To Have No Link</p>
		</div></div>';
		
		$output .= '<div class="stuffbox"><h3><label for="upload_image">Slide Image</label></h3>
		<div class="inside">
		<input type="text" id="image_1" name="image_1" value="' .$image . '" />
		<input id="_btn" class="upload_image_button" type="button" value="Upload Image" />';
		$output .= '</div></div>';
		
		$output .= '<input type="submit" class="button-primary" value="Save" />';
		$output .= '</form>';
		$output .= '</div>';
		
		echo $output;
		
	} else {
		
		//if form is posted
		if(isset($_POST['issent']) && $_POST['issent'] == 1){
			
			//getting posts and sanitising them
			$title 			= $_POST['title'];
			$image 			= $_POST['image_1'];
			$description 	= $_POST['description'];
			$link 			= $_POST['link'];
			$linktitle 		= $_POST['linktitle'];
			
			//make sure form values are set
			if(empty($image)){$ublerrors[] = 'Please upload an image';}
			if(!$ublerrors){if(empty($title)){$ublerrors[] = 'Please add a title';}}
			if(!$ublerrors){if(empty($description)){$ublerrors[] = 'Please add some content (Description)';}}
			
			//insert into database
			if(!$ublerrors){
				
				$insertslider = $wpdb->insert( 'ublretroscroll_slides', array(
				'id' => '',
				'title' => $title,
				'description' => $description,
				'link' => $link,
				'linktitle' => $linktitle,
				'image' => $image
				), $format = null );
				
				if(!$insertslider){
					
					$ublerrors[] = 'Could not update database - Please try again';
					
				} else {
					
					$redirectheader = get_home_url() . '/wp-admin/admin.php?page=manage-retroscroll-slider&slide=added';
					echo '<script type="text/javascript">window.location = "' . $redirectheader . '"</script>';
					
				}
				
			}
			
		}
		
		//setting variables
		$title 			= '';
		$description 	= '';
		$link 			= '';
		$linktitle 		= '';
		$image 			= '';
		
		
		//setting form
		$output = '
	
		<style>
		h1{padding:0px 0px 10px 0px;margin:0px;}
		h3{padding:40px 0px 10px 0px;margin:0px;}
		.wrap{margin:0px;padding:15px;width:50%;}
		.widget .widget-top, .postbox h3, .stuffbox h3{padding:5px 10px; color:#1e1e1e}
		.widget, #widget-list .widget-top, .postbox, #titlediv, #poststuff .postarea, .stuffbox{
			background-color:white;
		}
		.postbox .inside, .stuffbox .inside{padding:20px;background-color:whiteSmoke;}
		.red{color:red;}
		.green{color:green;}
		.regular-text{margin-bottom:20px;}
		h4{margin:0px;padding:8px 0px 3px 0px;}
		.inside > p{padding:3px;margin:0px;}
		hr{border-color:white;background-color:white;}
		.stuffbox img{max-width:300px;height:auto;}
		.slidercontent{width:90%;min-height:150px;}
		</style>
		
		';
		
		$output .= '<div class="wrap">';
		$output .= '<h1>Add New Slide</h1>';
		if(count($ublerrors) > 0){foreach($ublerrors as $ublerror){$output .= '<h5 class="red">'. $ublerror .'</h5>';}}
		$output .= '<form method="post" action="" enctype="multipart/form-data">';
		$output .= '<input name="issent" type="hidden" value="1" />';
		
		$output .= '<div class="stuffbox"><h3><label>Slide Title</label></h3><div class="inside"><input class="regular-text" name="title" type="text" value="'.$title.'" /></div></div>';

		$output .= '<div class="stuffbox"><h3><label>Slide Description</label></h3><div class="inside"><textarea name="description" id="description" class="slidercontent">' . $description . '</textarea></div></div>';

		$output .= '<div class="stuffbox"><h3><label>Slide Link</label></h3><div class="inside">
		<h4>Link</h4><input class="regular-text" name="link" type="text" value="'.$link.'" />
		<hr>
		<h4>Link Name</h4><input class="regular-text" name="linktitle" type="text" value="'.$linktitle.'" />
		<p>Leave Both Blank To Have No Link</p>
		</div></div>';
		
		$output .= '<div class="stuffbox"><h3><label for="upload_image">Slide Image</label></h3>
		<div class="inside">
		<input type="text" id="image_1" name="image_1" value="' .$image . '" />
		<input id="_btn" class="upload_image_button" type="button" value="Upload Image" />';
		$output .= '</div></div>';
		
		$output .= '<input type="submit" class="button-primary" value="Save" />';
		$output .= '</form>';
		$output .= '</div>';
		
		echo $output;
		
	}
}

function manage_ubl_retroscroll_slider(){
	
	// errors and database connection
	$ublerrors = array();
	global $wpdb;
	
	// if post information sent then delete
	if(isset($_POST['bgsliderdelete'])){
		
		$deleteslide = $wpdb->query("DELETE FROM ublretroscroll_slides WHERE id=" . sanitize_text_field($_POST['bgsliderdelete']));
		
		if($deleteslide){
			$ublerrors[] = 'Could not delete database - Please try again';
		} else {
			$redirectheader = get_home_url() . '/wp-admin/admin.php?page=manage-retroscroll-slider&delete=yes';
			echo '<script type="text/javascript">window.location = "' . $redirectheader . '"</script>';
		}
		
	}
	
	//fetching data
	$fetchdata = $wpdb->get_results('SELECT id,title FROM ublretroscroll_slides');
	
	$output = '<style>.floatright{text-align:right;}.red{color:red;}.green{color:green;}.widefat td img{width:30%;height:auto;}</style>';
	$output .= '<div class="wrap">';
	$output .= '<h1>Manage Retro Scroll\'s Slides</h1>';
	if(isset($_GET['slide']) && $_GET['slide'] == 'added'){$output .= '<h5 class="green">Slide Added Successfully</h5>';}
	if(isset($_GET['slide']) && $_GET['slide'] == 'edited'){$output .= '<h5 class="green">Slide Updated Successfully</h5>';}
	if(isset($_GET['delete']) && $_GET['delete'] == "yes"){$output .= '<h5 class="green">DELETE WAS SUCCESSFUL</h5>';}
	$output .= '<p>Here you will be able to edit or delete existing slides.</p>';
	$output .= '<p class="floatright"><a href="' .get_home_url() . '/wp-admin/admin.php?page=add-retroscroll-slider">Add New Slide</a></p>';
	$output .= '<table class="wp-list-table widefat fixed posts" cellspacing="0">';
	$output .= '<thead><th scope="col" class="manage-column">Slide Title</th><th td scope="col" class="manage-column">Edit</th><th scope="col" class="manage-column">Delete</th></thead>';
	foreach($fetchdata as $fdata){
		$output .= '<tr><td>' . stripslashes($fdata->title) . '</td><td><a href="'.get_home_url() . '/wp-admin/admin.php?page=add-retroscroll-slider&ublmode=edit&id='.stripslashes($fdata->id).'" title="Edit Slide">Edit Slide</a></td><td><form method="post" action=""><input name="bgsliderdelete" type="hidden" value="'.stripslashes($fdata->id).'" /><input type="submit" class="button-primary" value="Delete" /></form></td></tr>';
	}
	$output .= '</table>';
	$output .= '</div>';
	echo $output;
}