<?php

global $wpdb;

$getimages = $wpdb->get_row("SELECT logo,favicon,blogstyle FROM ublrs_themeoptions WHERE id=1");
$bodycss = 'bg' . $getimages->blogstyle;
?>
<!DOCTYPE html>
<html <?php language_attributes() ?>>
<head>
<title><?php if(is_home()){bloginfo('name'); ?> | <?php bloginfo('description'); } else { bloginfo('name'); ?> | <?php wp_title(); }?></title>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php if(!empty($getimages->favicon)){ ?><link rel="shortcut icon" href="<?php echo stripslashes($getimages->favicon); ?>" /><?php } ?>
<?php wp_head(); ?>
</head>

<body id="top" <?php body_class($bodycss); ?>>
  <div id="logo"><img src="<?php echo stripslashes($getimages->logo); ?>" alt="<?php bloginfo('name'); ?>" class="logo" /></div>

  <div id="wrapper">
    <div id="main" class="<?php echo $bodycss; ?>">
        <?php 
		if(is_page_template('page-blog.php')){
			
			if( has_nav_menu( 'primary' ) ) {
				wp_nav_menu( array( 'theme_location' => 'primary', 'container' => false, 'menu_class' => '', 'items_wrap'      => '<ul>%3$s</ul>', 'depth' => 0, 'walker' => new onblogpageWalker() ) );
			}
			
		} elseif((is_tag() == true) || (is_single() == true) || (is_category() == true) || (is_search() == true) || (is_404() == true)) {
			
			if( has_nav_menu( 'primary' ) ) {
				wp_nav_menu( array( 'theme_location' => 'primary', 'container' => false, 'menu_class' => '', 'items_wrap'      => '<ul>%3$s</ul>', 'depth' => 0, 'walker' => new altpageWalker() ) );
			}
			
		} else {
			
			if( has_nav_menu( 'primary' ) ) {
				wp_nav_menu( array( 'theme_location' => 'primary', 'container' => false, 'menu_class' => '', 'items_wrap'      => '<ul>%3$s</ul>', 'depth' => 0, 'walker' => new normalpageWalker() ) );
			}
	
		}
		?>
    </div>

    <div id="content">