jQuery.noConflict();
jQuery(document).ready(function(){
	
"use strict";
	
/***************************************************
		VERTICAL SCROLLING
***************************************************/
	jQuery('a#ublblogback').click(function(){ parent.history.back(); return false;});
	jQuery('#main a, a.internal, a.da-link,  #menu_nav a, .footer_inner a, #footerinternal').click(function(e){
		
		if (!jQuery(this).hasClass("thisisabloglink")) {
			e.preventDefault();
		}
		
		jQuery('div#main ul li:last-child').find('a').css('background','none');
		
		var $anchor = jQuery(this);
		var $section = jQuery($anchor.attr('href'));
		var topOffset = $section.offset().top;
		
		// Adjust extra offset if not primary section 
		if(!jQuery(this).hasClass("notcountscroll")){
			if(!$section.parent('#wrapper').length){
				topOffset = topOffset - 0;
			}
		}
		if(jQuery(this).hasClass("notcountscroll")){
			if(!$section.parent('#wrapper').length){
				topOffset = topOffset - 100;
			}
		}
		
		// Scroll page
		jQuery('html, body').stop().animate({scrollTop: topOffset}, 1500, 'easeInOutExpo');
		
	});
	
/***************************************************
		SCROLLING
***************************************************/
	jQuery(window).scroll(function(){
		
		var scrollOffset = jQuery(this).scrollTop();
		
		if(scrollOffset <= 125){
			jQuery('#logo').stop().animate({top: -scrollOffset}, 700);
			jQuery('#main').stop().animate({top: -scrollOffset + 155}, 50);
		}else{
			jQuery('#logo').stop().animate({top: -225}, 50);
			jQuery('#main').stop().animate({top: 0}, 50);
		}
	});

/***************************************************
		FAQ
***************************************************/
	
	var mooseBan = false;

	jQuery('#faq dt a').click(function(e){
		
		if( !mooseBan ){

			var $dd = jQuery(this).parent().next('dd');
			
			if(!$dd.hasClass('open')){
				
				mooseBan = true;
				
				$dd.show();

				var h = $dd.outerHeight(true);

				$dd.css({
					'height':	0
				}).animate({
					'height':	h
				},600,'easeInOutExpo',function(){
					$dd.addClass('open').removeAttr('style');
					mooseBan = false;
				});
				
			}
			
			jQuery('#faq dd.open').animate({
				'height':'hide'
			},600,'easeInOutExpo',function(){
				jQuery(this).removeClass('open').removeAttr('style');
			});
		
		}

		e.preventDefault();
		
	});
});
		
/***************************************************
		QUOVOLVER
***************************************************/

jQuery(document).ready(function() {
	"use strict";
	jQuery('blockquote').quovolver();
});

// Google maps api settings //
jQuery(window).load(function() {
	"use strict";
/* Google Maps */
	loadGoogleMaps();
	
});
  
function loadGoogleMaps() {
	"use strict";
	/* Google Maps Load */
	if(jQuery('#map').length !== 0){
		var script = document.createElement("script");
		script.type = "text/javascript";
		script.src = "http://maps.google.com/maps/api/js?sensor=false&callback=initGoogleMaps";
		document.body.appendChild(script);
	}
}